; ------------- set output directories -------------
topdir='/disk/sxt'                       ;  top level YPOP (MSU)

sscdir=concat_dir(topdir,'ssc')             ;  tsc versions SSC
sdcdir=concat_dir(topdir,'sdc_new')
sfcdir=concat_dir(topdir,'sfc_new')           
set_logenv,'DIR_SXT_SDC',sdcdir             ; new TM SDC's
set_logenv,'DIR_SXT_SSC',sscdir              
set_logenv,'DIR_SXT_SFC',sfcdir             ; virginal SFC
badlog=concat_dir('$SSW_SITE_LOGS','mk_ssc_bad.log')
; ---------------------------------------
delvarx,ss
;       ; SS is used to make short/partial runs for fast infrastructure tests
; ------------------------------------------------------
      ; 
days=timegrid('30-sep-1995','1-jan-1996',/day,out='vms')
prefix='ssc'
for j=0,n_elements(days)-1 do begin
   sfrs=cdrom_files(day=days(j) , /sfr)
   if data_chk(sfrs,/string) then begin
   if sfrs(0) eq '' then box_message,'No SFRs on cdrom..' else begin 
       if cdrom_fcheck(sfrs) then begin  
       box_message,['Working on day>> '+ days(j),sfrs]
       mk_ssc, outdir=get_logenv('DIR_SXT_SSC'), prefix=prefix, ifiles=sfrs, $
	       ss=ss,  /yyyy
       endif else box_message,'One or more bad sfrs...'
   endelse       
   endif else box_message,'Continuing with next CD...'
endfor


end
