; ------------- set output directories -------------
topdir='/home/sswdb/ydb'         ;  top level YPOP 
dbdir='/home/sswdb/ydb/'
sscdir=concat_dir(topdir,'synssc')          ; SSC top level directory 
sdcdir=concat_dir(dbdir,'sdc')
sfcdir=concat_dir(dbdir,'sfc')           
syndir=concat_dir(dbdir,'synsfc')
set_logenv,'DIR_SXT_SDC',sdcdir             ; new TM SDC's dbase{
set_logenv,'DIR_SXT_SSC',sscdir              
set_logenv,'DIR_SXT_SFC',sfcdir             ; virginal SFC dbase
set_logenv,'DIR_SXT_SYNSFC',syndir
badlog='$HOME/ssc
; ---------------------------------------
delvarx,ss
; SS is used to make short/partial runs for fast infrastructure tests
; ------------------------------------------------------
; 

;days=[timegrid('24-Aug-1993','1-jan-1994',days=6,/vms),  $ 
;      timegrid('20-aug-1995','20-aug-1996',days=6,/vms), $
;      timegrid('1-jan-1997','1-jan-1998',days=6,/vms), $
days=[timegrid('1-feb-1998','1-jan-1999',days=6,/vms), $
      timegrid('1-feb-1999','15-apr-1999', days=6,/vms),$
      timegrid('20-apr-1999','20-apr-2001',days=6,/vms)]

for j=0,n_elements(days)-1 do begin
   sfrs=cdrom_files(day=days(j) , /sfr, mag_disk='/u1/sswarch/yoarch/weekdirs/')
   if data_chk(sfrs,/string) then begin
   if sfrs(0) eq '' then box_message,'No SFRs on cdrom..' else begin 
       if cdrom_fcheck(sfrs) then begin  
       box_message,['Working on day>> '+ days(j),sfrs]
;      
;      ----------------- Use standard SFCs ---------- 
       set_logenv,'sxt_syn_sfc',''
       mk_ssc, outdir=get_logenv('DIR_SXT_SSC'), prefix='ssc', ifiles=sfrs, $
	       ss=ss,  /noclean, /yyyy, /no_second ;, /al_only 

;       --------------- Use synthetic SFCsi ---------
       set_logenv,'sxt_syn_sfc','1'
       mk_ssc, outdir=get_logenv('DIR_SXT_SSC'), prefix='synssc', ifiles=sfrs, $
               ss=ss,  /noclean, /yyyy, /no_second ;, /al_only

       endif else box_message,'One or more bad sfrs...'
   endelse       
   endif else box_message,'Continuing with next CD...'
endfor


end
